Package Gnumed :: Package timelinelib :: Package calendar :: Package gregorian :: Module gregorian :: Class GregorianDateTime |
[frames] | no frames]

# Class GregorianDateTime

source code

    object --+
             |
            GregorianDateTime

Instance Methods
__init__(self, year, month, day, hour, minute, second) x.__init__(...) initializes x; see help(type(x)) for signature | source code
__eq__(self, other) | source code
__ne__(self, other) | source code
week_number(self) | source code
is_bc(self) | source code
replace(self, year=None, month=None) | source code
days_in_month(self) | source code
to_tuple(self) | source code
to_date_tuple(self) | source code
to_time_tuple(self) | source code
to_time(self) | source code
is_first_day_in_year(self) | source code
is_first_of_month(self) | source code
__repr__(self) repr(x) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods
from_ymd(cls, year, month, day) | source code
from_time(cls, time) | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, year, month, day, hour, minute, second) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### week_number(self) | source code
Decorators: `@property`

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)